using System;
using System.Collections.Generic;
using System.Text;
using nft.core.geometry;
using System.Windows.Forms;
using System.Drawing;
using nft.framework.drawing;

namespace nft.core.game {
    [Obsolete]
    public interface IQuarterView {
        ViewFactor ViewFactor { get; }
        Control TargetControl { get; }
        Location GetHitSprite(IView_old v, Point pt, out object tag);
        /*
        Location ConvertMousePos(IView v, Point pt);
        Location ConvertMousePos(IView v, Point pt, int unitHeight);
        LocationF ConvertMousePosF(IView v, Point pt);
        LocationF ConvertMousePosF(IView v, Point pt, int pixelHeight);
        */
        //Size3D WorldSize { get; }
    }
}
